libjaxp1.3-java-gcj_1.3.05-2_amd64.deb


Advertisement

Description

libjaxp1.3-java-gcj - Java XML parser and transformer APIs (DOM, SAX, JAXP, TrAX) - GCJ

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libjaxp1.3-java-gcj
Package version 1.3.05
Package release 2
Package architecture amd64
Package type deb
Installed size 1.31 KB
Download size 257.47 KB
Official Mirror ftp.br.debian.org
xml-apis.jar from the Apache XML Commons project is used by the Xerces-J XML
parser and Xalan-J XSLT processor.

Alternatives

Package Version Architecture Repository
libjaxp1.3-java-gcj_1.3.05-2_i386.deb 1.3.05 i386 Debian Main
libjaxp1.3-java-gcj - - -

Requires

Name Value
libc6 >= 2.2.5
libgcc1 >= 1:4.1.1
libgcj-bc >= 4.4.5-1~
libgcj-common >> 1:4.1.1-13
libjaxp1.3-java >= 1.3.05-2
zlib1g >= 1:1.1.4

Download

Type URL
Binary Package libjaxp1.3-java-gcj_1.3.05-2_amd64.deb
Source Package libjaxp1.3-java

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libjaxp1.3-java-gcj deb package:
    # sudo apt-get install libjaxp1.3-java-gcj

Files

Path
/usr/lib/gcj/xml-apis-1.3.04.jar.so
/usr/share/doc/libjaxp1.3-java-gcj/changelog.Debian.gz
/usr/share/doc/libjaxp1.3-java-gcj/copyright
/usr/share/gcj/classmap.d/xml-apis-1.3.04.jar.db

Changelog

2011-11-19 - Jakub Adam <jakub.adam@ktknet.cz>
libjaxp1.3-java (1.3.05-2) unstable; urgency=low
* Add OSGi metadata to jar manifest
* Bump Standards-Version to 3.9.2
* Replaced obsolete build-depend default-jdk-builddep by default-jdk
and gcj-native-helper to fix lintian reported error.
2010-06-29 - Torsten Werner <twerner@debian.org>
libjaxp1.3-java (1.3.05-1) unstable; urgency=low
* Team upload
[ Niels Thykier ]
* Removed Depends on JREs; it is no longer required by the Java Policy.
* Dropped the Recommends on the gcj package to a Suggests.
(Closes: #587449)
* Made the synopsis unique.
[ Torsten Werner ]
* New upstream version (but 1.4.01 is available, too).
* Remove Arnaud from Uploaders list. Thanks to your contribution in the
past!
* Update Standards-Version: 3.8.4.
* Switch to debhelper 7.
* Switch to source format 3.0.
2009-08-09 - Torsten Werner <twerner@debian.org>
libjaxp1.3-java (1.3.04-5) unstable; urgency=low
* Upload to unstable.
2009-05-08 - Ludovic Claude <ludovic.claude@laposte.net>
libjaxp1.3-java (1.3.04-4) experimental; urgency=low
[Ludovic Claude]
* Change section to java, bump up Standards-Version to 3.8.1
* Add the Maven POM to the package, use both xml-apis:xml-apis and
javax.xml:jaxp-api
* Add a Build-Depends dependency on maven-repo-helper
* Use mh_installpom and mh_installjar to install the POM and the jar to the
Maven repository
* Add ${misc:Depends} to Depends to clear Lintian warnings
* Remove the full text of the Apache license and add a reference
to the GPL file to clear Lintian warnings.
* Add conflict on xalan2 as the old version links /usr/java/jaxp-1.3.jar to 
/usr/share/java/xml-apis.jar
[Matthias Klose]
* Depend on default-jre-headless.
* debian/rules: Fix jar options.
* Set java source and target version to 1.4.
2008-04-29 - Michael Koch <konqueror@gmx.de>
libjaxp1.3-java (1.3.04-3) unstable; urgency=low
* Build-Depends on default-jdk-builddep. Closes: #477879
* Added Homepage, Vcs-Svn and Vcs-Browser fields.
* Updated Standards-Version to 3.7.3.
* Added myself to Uploaders.
2007-07-03 - Arnaud Vandyck <avdyk@debian.org>
libjaxp1.3-java (1.3.04-2) unstable; urgency=low
* Reupload to take care of the changes from doko, sorry.
2007-07-03 - Arnaud Vandyck <avdyk@debian.org>
libjaxp1.3-java (1.3.04-1) unstable; urgency=low
* New Upstream
2007-01-03 - Matthias Klose <doko@debian.org>
libjaxp1.3-java (1.3.03-5) unstable; urgency=low
* Merge from Ubuntu:
- Build a libjaxp1.3-java-gcj package. libjaxp1.3-java recommends
libjaxp1.3-java-gcj.
- Add gij as alternative dependency.
2006-08-03 - Arnaud Vandyck <avdyk@debian.org>
libjaxp1.3-java (1.3.03-4) unstable; urgency=low
* debian/rules: using /usr/lib/jvm/java-gcj/bin/javac to build, not gcj
(closes: #379530)
2006-07-17 - Arnaud Vandyck <avdyk@debian.org>
libjaxp1.3-java (1.3.03-3) unstable; urgency=low
* debian/control: I am the uploader, not Stefan.

See Also

Package Description
libjaxp1.3-java_1.3.05-2_all.deb Java XML parser and transformer APIs (DOM, SAX, JAXP, TrAX)
libjazzy-java_0.5.2-1_all.deb spell checker java library
libjbcrypt-java_0.3-4_all.deb Java implementation of OpenBSD's Blowfish hashing
libjbig-dev_2.1-3.1_amd64.deb JBIGkit development files
libjbig0_2.1-3.1_amd64.deb JBIGkit libraries
libjbig2dec0-dev_0.13-4~deb8u2_amd64.deb JBIG2 decoder library - development files
libjbig2dec0_0.13-4~deb8u2_amd64.deb JBIG2 decoder library - shared libraries
libjboss-common-java_0.0+svn2938-3_all.deb The JBoss Common Project
libjboss-marshalling-java_1.1.3.GA-3_all.deb alternative serialization API
libjboss-serialization-java_1.0.3.GA+dak1-3_all.deb JBoss Serialization
libjboss-vfs-java_2.0.1.GA-2_all.deb JBoss Virtual File System
libjbzip2-java_0.9.1-3_all.deb bzip2 compression/decompression library
libjcalendar-java-doc_1.3.3-3_all.deb Java date chooser bean for picking a date (documentation)
libjcalendar-java_1.3.3-3_all.deb Java date chooser bean for graphically picking a date
libjcharts-java-doc_0.7.5-4_all.deb java based charts library (API docs)
Advertisement
Advertisement